@echo off
REM Este es un programa para copiar los archivos de sonido
REM para el escenario "Drole de Guerre" de Civilization II. 
REM Creado por Javier Arriaga, 20-II-2001.
if exist drole.scn goto SI
echo ERROR: I can't find file "drole.scn". Make sure you are running
echo	    from the correct directory.
goto END	
:SI
if exist ..\civ2.exe set fuente=..\sound
if exist ..\..\civ2.exe set fuente=..\..\sound
if exist ..\..\..\civ2.exe set fuente=..\..\..\sound
if exist ..\..\..\..\civ2.exe set fuente=..\..\..\..\sound
if %fuente% == "" goto ERROR
md sound
copy %fuente%\divebomb.wav sound
copy %fuente%\divcrash.wav sound
copy %fuente%\engnsput.wav sound
copy %fuente%\aircombt.wav sound
copy %fuente%\infantry.wav sound
copy %fuente%\biggun.wav sound
copy %fuente%\medgun.wav sound
cd sound
rename medgun.wav catapult.wav
rename infantry.wav swordfgt.wav
rename aircombt.wav jetcombt.wav
rename divcrash.wav jetcrash.wav
rename engnsput.wav jetsputr.wav
rename divebomb.waw jetbomb.wav
rename biggun.wav custom1.wav
copy custom1.wav custom2.wav
copy custom1.wav custom3.wav
copy custom1.wav elephant.wav
copy custom1.wav extra1.wav
copy jetcombt.wav extra2.wav
copy jetcombt.wav extra3.wav
copy catapult.wav extra4.wav
copy catapult.wav swrdhors.wav
cd..
cls
echo Sound files installed. Pleased verify a "sound" sub-directory
echo has been created in your "drole" directory.
goto END
:ERROR
echo error: I wasn't able to find the civ2 game directory, try
echo        installing the scenario on civ2\scenario\drole.
:END
pause
rem End of program